//---------------------------------------------------------------------------
#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <stdlib.h>
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
	TTimer *TimerExec1;
	TLabel *LabelExec1;
	TLabel *LabelExec2;
	TEdit *EditExec1;
	TImage *ImageExec1;
	TGroupBox *GroupBoxExec1;
	TButton *ButtonExec1;
	TBitBtn *BitBtnExec1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
   char CaptionSave[80];
   int NDraw;
   // for Fir-tree & Simple:
   bool First;
   int L,T,W,H;
   int TreeT, TreeB, TreeX; // Fir-tree
   int Branch,TreeDelta,Nbr,nb,np; // Fir-tree
   TPoint Centre; // Simple
public:		// User declarations
	__fastcall TForm2(TComponent* Owner);
   void __fastcall ActionNoObject(TObject *Sender);
   void __fastcall ActionSimple(TObject *Sender);
   void __fastcall ActionRandom(TObject *Sender);
   void __fastcall ActionFirTree(TObject *Sender);
   void __fastcall ViewFirTree(TObject *Sender);
   void __fastcall InitSimple();
   void __fastcall InitFirTree();
};
//---------------------------------------------------------------------------
extern TForm2 *Form2;
extern TPicture *PictureObject;
extern char ExecName[];
extern char Action[];
//---------------------------------------------------------------------------
#endif
 